import ch.hevs.isi.MinecraftController;
import ch.hevs.isi.core.BooleanDataPoint;
import ch.hevs.isi.core.DataPoint;
import ch.hevs.isi.core.FloatDataPoint;
import ch.hevs.isi.db.DatabaseConnector;

import java.io.FileInputStream;
import java.io.InputStream;
import java.util.Properties;

public class Database {
    public static void main(String[] args) {
        MinecraftController.ERASE_PREVIOUS_DATA_INB_DB = true;
        FloatDataPoint clock = new FloatDataPoint("CLOAK_FLOAT", false);
        FloatDataPoint gridVoltage = new FloatDataPoint("GRID_U_FLOAT", true);
        BooleanDataPoint solarPanel = new BooleanDataPoint("REMOTE_SOLAR_SW", true);

        DatabaseConnector.getMySelf().initialize(null);

        clock.setValue(0f);

        for (float i = 0; i < 3; i += 0.1f) {
            System.out.println("");
            clock.setValue(i);
            gridVoltage.setValue(750 + (100*i)%100);
        }

    }
}
